<?php
$ras = $_GET['ras'];
$tienda = $_GET['tienda'];
$ref = $_GET['ref'];
$soporte = $_GET['soporte'];



$ficexcel = "RAMPA_$ras.csv";
$filename = "../descargas/excel/".trim($ficexcel);
$downloadfile = "./descargas/excel/".trim($ficexcel);

$apertura = "w";
$file = fopen($filename, $apertura);   /// BORRAR LOG
$lineatxt = "Zona;Tienda;Soporte;Referencia;Texto Referencia;Estado;Momento Inicio;Momento Fin;Tiempo colocacion";
graba_fichero($file,$lineatxt);
$conn = obtener_basedatos($ras);
cargadatos($conn,$ras,$tienda,$ref,$soporte,$file);
fclose($file);
echo '{"status":"ok","filename":"'.$downloadfile.'"}';	

function obtener_basedatos($rampa){
	$conn_string = "host=localhost port=5432 dbname=VISUAL_CHECK user=VISUAL_CHECK password=Tresco_29";
	$db = pg_connect($conn_string);
	return $db;
}

function cargadatos($conn,$ras,$tienda2,$ref2,$soporte2,$file) {

global $data1;	

$chk1='N';
$pics='';

$grid1 = array();

$sql="select zona,tienda,soporte,referencia,des_referencia,momento_inicio, pic, divisor, total_fotos,
						momento_inicio,momento_fin, errores, 
						(to_seconds(CAST(momento_fin AS TEXT))  - to_seconds(CAST(momento_inicio AS TEXT))) segundos
						from peticiones where ras = '$ras'";
	
if ($tienda2!="" or $ref2!="" or $soporte2 !="") {
	$chk1='S';
}	
$and='N';			
if ($tienda2!="") {
	$sql=$sql.' and ';
	$sql=$sql." trim(tienda)='$tienda2'";
	$and='S';
}

if ($ref2!="") {
	$sql=$sql.' and ';
	$sql=$sql." trim(referencia)='$ref2'";
	$and='S';
}
if ($soporte2!="") {
	$sql=$sql.' and ';
	$sql=$sql." trim(soporte)='$soporte2'";
}

$sql=$sql." order by momento_inicio desc limit 600";

$results = pg_query($conn,$sql);
while ($row = pg_fetch_array($results)) {

	$iestado='';
	$mfin='-';
	$tiempo='-';
	$estado = 1;
	$txtEstado = 1;
	switch ($row['errores']) {
    case '-':
        $iestado='images/ajusteverde.png';
		$estado = 0;
		$txtEstado = "OK";
        break;
    case '9999':
        $iestado='images/alertat.png';
		$estado = 9999;
		$txtEstado = "ERROR";
        break;
    case '9998':
        $iestado='images/interrogacion.png';
		$estado = 9998;
		$txtEstado = "WARNING";
        break;
	}


	
	
	$csvLine = $row['zona'].";".$row['tienda'].";".$row['soporte'].";".$row['referencia'].";".$row['des_referencia'].";".$txtEstado.";".$row['momento_inicio'].";".$row['momento_fin'].";".$row['segundos'].";";
	graba_fichero($file,$csvLine);
//$conn=null;

}
}
function graba_fichero($file,$lineatxt){
	
	fwrite($file, "$lineatxt". PHP_EOL);
	
}


?>